java.util

## Class MissingFormatWidthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.MissingFormatWidthException

All Implemented Interfaces:
  Serializable

    public class MissingFormatWidthException
    extends IllegalFormatException

Unchecked exception thrown when the format width is required.

Unless otherwise specified, passing a `null` argument to anyg method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingFormatWidthException(String s)` Constructs an instance of this class with the specified format specifier.

### Method Summary

Methods
`String` `getFormatSpecifier()` Returns the format specifier which does not have a width.
`String` `getMessage()` Returns the detail message string of this throwable.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingFormatWidthException

    public MissingFormatWidthException(String s)

Constructs an instance of this class with the specified format specifier.

Parameters:
  `s` - The format specifier which does not have a width

### Method Detail

#### getFormatSpecifier

    public String getFormatSpecifier()

Returns the format specifier which does not have a width.

Returns:
  The format specifier which does not have a width

#### getMessage

    public String getMessage()

Description copied from class: `Throwable`
Returns the detail message string of this throwable.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.